Package org.apache.sysds.runtime.io

## Enum FileFormatPropertiesMM.MMSymmetry

- java.lang.Object
- - java.lang.Enum<FileFormatPropertiesMM.MMSymmetry>
  - - org.apache.sysds.runtime.io.FileFormatPropertiesMM.MMSymmetry

All Implemented Interfaces:
  `Serializable`, `Comparable<FileFormatPropertiesMM.MMSymmetry>`

Enclosing class:
  FileFormatPropertiesMM

    public static enum FileFormatPropertiesMM.MMSymmetry
    extends Enum<FileFormatPropertiesMM.MMSymmetry>

### Enum Constant Summary

Enum Constants
`GENERAL`
`SKEW_SYMMETRIC`
`SYMMETRIC`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static FileFormatPropertiesMM.MMSymmetry` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static FileFormatPropertiesMM.MMSymmetry[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GENERAL

    public static final FileFormatPropertiesMM.MMSymmetry GENERAL

#### SYMMETRIC

    public static final FileFormatPropertiesMM.MMSymmetry SYMMETRIC

#### SKEW_SYMMETRIC

    public static final FileFormatPropertiesMM.MMSymmetry SKEW_SYMMETRIC

### Method Detail

#### values

    public static FileFormatPropertiesMM.MMSymmetry[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FileFormatPropertiesMM.MMSymmetry c : FileFormatPropertiesMM.MMSymmetry.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FileFormatPropertiesMM.MMSymmetry valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<FileFormatPropertiesMM.MMSymmetry>`